holland-mysqlhotcopy(1)

NAME
holland-mysqlhotcopy - Non-transactional backups for MySQL

SYNOPSIS
$ holland backup mysqlhotcopy $ holland mk-config mysqlhotcopy

DESCRIPTION
This plugin does not call the mysqlhotcopy command. Rather this is a reimplementation that provides much of the same functionality. holland-mysqlhotcopy provides a backup plugin through which raw database backups can be made safely. This plugin issues a table lock and flushes MySQL tables either via LOCK TABLES ... READ LOCAL followed by an explicit FLUSH TABLES query, or by issuing a global FLUSH TABLES WITH READ LOCK query. While this lock is held, the plugin create an archive of the MySQL datadir. Currently holland-mysqlhotcopy supports multiple archive types:

•   tar

•   zip (zip64)

•   directory All the archive types support optional compression.

SEE ALSO

•   man 1 mysqlhotcopy

•   man 1 holland

AUTHOR
Andrew Garner <andrew.garner@rackspace.com>

COPYRIGHT
GPLv2